package com.evolute.siprp.client.panels.apps;

import com.evolute.siprp.client.panels.utils.navigation.NavigationConstants;
import com.evolute.siprp.client.panels.utils.navigation.PageNavigation;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.ui.Anchor;

public class AnchorSair extends Anchor implements ClickHandler 
{
	
	public AnchorSair()
	{
		super();
	
		this.setText( "sair>>" );
		this.addClickHandler( this );
	}

	@Override
	public void onClick( ClickEvent event ) 
	{
		PageNavigation.getProvider().setUserLogged( null );
		PageNavigation.getProvider().clearCache();
		PageNavigation.goPage( NavigationConstants.LOGIN_PANEL );
	}
		
}
